Bug 1171701 (CVE-2014-9474) - CVE-2014-9474 mpfr: buffer overflow in mpfr_strtofr
Summary: CVE-2014-9474 mpfr: buffer overflow in mpfr_strtofr
Status: CLOSED WONTFIX
Alias: CVE-2014-9474
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20131216,reported=2...
Keywords: Security
Depends On: 1171710
Blocks: 1171708
TreeView+ depends on / blocked
 
Reported: 2014-12-08 12:40 UTC by Vasyl Kaigorodov
Modified: 2015-08-21 23:33 UTC (History)
3 users (show)

Fixed In Version: mpfr 3.1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 23:33:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-12-08 12:40:22 UTC
A buffer overflow was reported [1] in mpfr.
This is due to incorrect GMP documentation for mpn_set_str about the size of a buffer (discussion is at [1]; first fix in the GMP documentation is at [2]). This bug is present in the MPFR versions from 2.1.0 (adding mpfr_strtofr) to this one, and can be detected by running "make check" in a 32-bit ABI under GNU/Linux with alloca disabled (this is currently possible by using the --with-gmp-build configure option where alloca has been disabled in the GMP build). It is fixed by the strtofr patch [3].
Corresponding changeset in the 3.1 branch: 9110 [4].

[1]: https://gmplib.org/list-archives/gmp-bugs/2013-December/003267.html
[2]: https://gmplib.org/repo/gmp-5.1/raw-rev/d19172622a74
[3]: http://www.mpfr.org/mpfr-3.1.2/patch11
[4]: https://gforge.inria.fr/scm/viewvc.php?view=rev&root=mpfr&revision=9110

Comment 1 Vasyl Kaigorodov 2014-12-08 13:02:33 UTC
Created mpfr tracking bugs for this issue:

Affects: fedora-all [bug 1171710]

Comment 3 Frantisek Kluknavsky 2014-12-12 22:39:36 UTC
https://admin.fedoraproject.org/updates/mpfr-3.1.2-8.fc21

Comment 4 Martin Prpič 2015-01-06 09:08:50 UTC
MITRE assigned CVE-2014-9474 to this issue: http://seclists.org/oss-sec/2015/q1/18

Comment 5 Fedora Update System 2015-01-07 23:52:25 UTC
mpfr-3.1.2-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-01-07 23:53:34 UTC
mpfr-3.1.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Vincent Danen 2015-08-21 23:33:08 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.